# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: getlatlon.tcl,v 1.6 1998/10/13 20:26:31 dglo Exp $

proc getlatlon {{w .latlon}} {


    catch {destroy $w}
    toplevel $w
    wm title $w "Latitude/Longitude"
    wm iconname $w "Lat/Lon"
    wm minsize $w 1 1
    placepopup $w
    global lat
    global lon
    global location
    frame $w.lat
    label $w.lat.label -text "Latitude"
    entry $w.lat.entry -textvariable lat -width 10 -relief sunken
    bind $w.lat.entry <Tab> "focus $w.lon.entry"
    bind $w.lat.entry <Return> "focus $w.lon.entry"
    bind $w.lat.entry <Shift-Tab> "focus $w.lon.entry"
focus $w.lat.entry
    pack append $w.lat \
	$w.lat.label	{left} \
	$w.lat.entry	{right}

    frame $w.lon
    label $w.lon.label -text "Longitude"
    entry $w.lon.entry -textvariable lon -width 10 -relief sunken
    bind $w.lon.entry <Tab> "focus $w.lat.entry"
    bind $w.lon.entry <Return> "focus $w.lat.entry"
    bind $w.lon.entry <Shift-Tab> "focus $w.lat.entry"
    pack append $w.lon \
	$w.lon.label	{left} \
	$w.lon.entry	{right}

    button $w.ok -text OK -command "setll; destroy $w"

    pack append $w  \
	$w.lat		{top fill}\
	$w.lon		{top fill}\
	$w.ok		{bottom fill}
}
proc setll {} {
	global lat
	global lon
	global location
	global latlon
	set location [format "%s %s" $lat $lon]
	set latlon $location

}
